function descrambledBits = descrambling(data, initSeqBits)

data = scrambling(1,1);
initSeqBits = ones(1, 7);

lfsr = initSeqBits(:);
descrambledBits = zeros(size(data));

for i = 1:length(data)
    val = xor(lfsr(4), lfsr(7));
    descrambledBits(i) = xor(data(i), val);
    lfsr = [val; lfsr(1:end-1)];
end


end