%order=['1' - BPSK, '2' - QPSK, '4' - 16QAM, '6' - 64QAM]
function out = manipulation(input,order)
%input=[randi([0 1],1,3600)];
%input=[ 1 1 1 0 0 0 1 0 1 0 0 1 ];
%order= 6;
out=[];

switch order
    case 1 %BPSK
        for i=1:length(input)
            out(i)=(input(i)*2 -1);
        end

    case 2 %QPSK
        for i=1:2:length(input)
            out=( [out (input(i)*2 -1) + j*(input(i+1)*2 -1)] );
        end
        out=out./sqrt(2);

    case 4 %16QAM
        for i=1:4:length(input)
            out = ( [out (input(i)*6-3 + 2*(-1)^input(i)*input(i+1) +j*(input(i+2)*6-3 + 2*(-1)^input(i+2)*input(i+3)) ) ] );
        end
        out=out./sqrt(10);
        
    case 6 %64QAM
        for i=1:6:length(input)
            out = ( [out (  -7+14*input(i) +  6*((-1)^input(i))*input(i+1) +  2*((-1)^input(i))*((-1)^input(i+1))*(input(i+2))  + j*( -7+14*input(i+3) +  6*((-1)^input(i+3))*input(i+4) + 2*((-1)^input(i+3))*((-1)^input(i+4))*(input(i+5)) ) ) ] );
        end
        out=out./sqrt(42);
end
end

%Графики
%scatterplot(manipulation(1, 1))
%scatterplot(manipulation(1, 2))
%scatterplot(manipulation(1, 4))
%scatterplot(manipulation(1, 6))